class bloc{

private:
	int x_pos,y_pos;
	Uint32 color;

public:
	bloc(int=0,int=0 ,Uint32=0);
	//~bloc();
	int Get_X_pos();
	int Get_Y_pos();
	Uint32 Get_Color();
	void Set_bloc_Pos(int ,int);
	void Set_bloc_Color(Uint32);
	void put_bloc(int ,int ,SDL_Rect *,SDL_Surface *,SDL_Surface * );
	void efface_bloc(SDL_Rect *,SDL_Surface *,SDL_Surface * );
	void put_pixel(int , int ,SDL_Surface *,Uint32 );
};
